﻿using UnityEngine;
using UnityEditor;
using System.Collections;

public class RotBy90
{
	[MenuItem( "GameObject/Rotate By 90 %#D" )]
	static void Rotate() {
		foreach ( GameObject obj in Selection.gameObjects ) {
			Undo.RecordObject( obj.transform, "Rotate By 90" );
			Vector3 angles = obj.transform.localEulerAngles;
			angles.y = Mathf.Repeat( angles.y + 90f, 360f );
			obj.transform.localEulerAngles = angles;
		}
	}
}