﻿using UnityEngine;
using UnityEditor;
using System.Collections;

public class SelectionCount : ScriptableWizard
{
	public int selectionCount;
	[MenuItem("GameObject/Selection Count")]
	static void CreateWizard()
	{
		ScriptableWizard.DisplayWizard(
			"Selection Count", typeof(SelectionCount), "OK!");
	}
	
	void OnWizardUpdate()
	{
		selectionCount = Selection.objects.Length;
	}
}