﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FallAndLand : LittleMissBehaviour
{
    public float fallDistanceMin = 2.5f, fallDistanceMax = 10.5f;
    public float fallSpeed = 1f;
    float fallDist;

    // Start is called before the first frame update
    void Start() {
        fallDist = Random.Range(fallDistanceMin, fallDistanceMax);
        LeanTween.move(gameObject, (Vector2)transform.position - Vector2.up * fallDist, fallDist / fallSpeed).setEase(LeanTweenType.easeOutSine);
    }

    //// Update is called once per frame
    //void Update()
    //{
        
    //}
}
