﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Powerup_ChangeWormLength : Powerup
{
    public int numSegments = 1;

    protected override void OnTriggerEnter2D(Collider2D collision) {
        var worm = collision.GetComponentInParent<PlayerWorm>();
        if (worm) {
            if ( numSegments > 0 ) {
                worm.AddSegments(numSegments);
            }
            else {
                worm.RemoveSegments(numSegments);
            }
            this.Recycle();
        }
    }
}
