﻿using UnityEditor;
using UnityEngine;
public class CustomHotkeys {
	[MenuItem("Edit/Play %W")]
	static void Play() {
		if (!EditorApplication.isPlaying) {
			EditorApplication.ExecuteMenuItem("Edit/Play");
		}
		else {
			EditorApplication.ExecuteMenuItem("Edit/Pause");
		}
	}

	[MenuItem("Edit/Stop %Q")]
	static void Stop() {
		if (EditorApplication.isPlaying) {
			EditorApplication.ExecuteMenuItem("Edit/Play");
		}
	}

	//[MenuItem( "Edit/Pause %#W" )]
	//static void Pause() {
	//	EditorApplication.ExecuteMenuItem( "Edit/Pause" );
	//}

	//[MenuItem( "Edit/Step %&W" )]
	//static void Step() {
	//	EditorApplication.ExecuteMenuItem( "Edit/Step" );
	//}

	[MenuItem( "GameObject/Apply Changes To Prefab %#A" )]
	static void Apply() {
		EditorApplication.ExecuteMenuItem( "GameObject/Apply Changes To Prefab" );
	}

	[MenuItem("Hotkeys/Reset Position %#r")]
	static void ResetPos() {
		foreach (GameObject obj in Selection.gameObjects) {
			Undo.RecordObject(obj.transform, "Reset Position");
			obj.transform.localPosition = Vector3.zero;
			obj.transform.localEulerAngles = Vector3.zero;
			obj.transform.localScale = Vector3.one;
		}
	}
}
