﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MenuUI : LittleMissBehaviour
{
	public CanvasGroup canvasGroup;
	private void Awake() {
		MenuScreen();
	}

	public void MenuScreen() {
		Camera.main.transform.SetY(6.8f); //8.4f
	}

	public void PlayGame() {
		
		StartCoroutine(PlayGame_Internal());
	}

	IEnumerator PlayGame_Internal() {
		LeanTween.move(Camera.main.gameObject, Vector2.zero, 6f).setEase(LeanTweenType.easeInOutSine);
		//LeanTween.alphaCanvas(canvasGroup, 0f, 1.5f);
		GameState.Instance.StartPlaying();
		yield return new WaitForSeconds(6f);
		GameGUI.Instance.ShowButtons();
		GameState.Instance.startedPlaying = true;
	}
}
